import request from '/@/utils/request';
import { IHisQuery, Ihis } from "./type";



/**
 * 获取当前分类下所有的HIS对照API:
 * @param data 
 * @returns 
 */
export function apiGetHisData(data: IHisQuery) {
    return request({
        url: "/dict/his/mapper/listMappers",
        method: "post",
        // headers: {
        //     'Content-Type': 'application/x-www-form-urlencoded'
        // },
        data
    });
};


/**
 * 保存对照
 * @param data 
 * @returns 
 */
export function apiSaveHis(data: Ihis) {
    return request({
        url: "/dict/his/mapper/save",
        method: "post",
        headers: {
            "Content-Type": "application/json"
        },
        data
    });
};